Skip to main content
GET
/
v1
/
leads
/
reference-sources
Get all lead reference sources
curl --request GET \
  --url https://dev.flextell.ai/api/v1/leads/reference-sources \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "external_id": "<string>",
      "color": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
color
string | null

A hex color code (e.g. #94a3b8).

Maximum string length: 20
external_id
string | null

External identifier.

Maximum string length: 255
sort_by
enum<string> | null

The field to sort by.

Available options:
name,
created_at,
updated_at
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
trashed
boolean | null

Include only soft-deleted records.

Response

Paginated set of LeadReferenceSourceResource

data
LeadReferenceSourceResource · object[]
required
meta
object
required